gethostbyname
gethostname
Network Functions
PHP Manual

# gethostbynamel

(PHP 4, PHP 5)

gethostbynamel — Get a list of IPv4 addresses corresponding to a given Internet host name

### Description

array gethostbynamel ( string `$hostname` )

Returns a list of IPv4 addresses to which the Internet host specified by `hostname` resolves.

### Parameters

`hostname`

  The host name.

### Return Values

Returns an array of IPv4 addresses or `FALSE` if `hostname` could not be resolved.

### Examples

Example #1 gethostbynamel() example

`<?php
$hosts = gethostbynamel('www.example.com');
print_r($hosts);
?>`

The above example will output:

    Array
    (
        [0] => 192.0.34.166
    )

### See Also

- gethostbyname() - Get the IPv4 address corresponding to a given Internet host name
- gethostbyaddr() - Get the Internet host name corresponding to a given IP address
- checkdnsrr() - Check DNS records corresponding to a given Internet host name or IP address
- getmxrr() - Get MX records corresponding to a given Internet host name
- the named(8) manual page

gethostbyname
gethostname
Network Functions
PHP Manual